Bug 52578 - Gcc crashes with Internal error: Segmentation fault
Summary: Gcc crashes with Internal error: Segmentation fault
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-25 19:50 UTC by Scott Baker
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 17:40:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Baker 2001-08-25 19:50:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
audiofx_compressor.cpp:71: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [audiofx_compressor.lo] Error 1
make[3]: Leaving directory `/root/ecasound-2.0.1/libecasound'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/root/ecasound-2.0.1/libecasound'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/ecasound-2.0.1'
make: *** [all-recursive-am] Error 2

I get this error whenever I try compiling ANYTHING in gcc.  ie.  kernel, 
ecasound-2.0.1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to compile something using gcc
2.
3.
	

Actual Results:  recieved error message:
audiofx_compressor.cpp:71: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [audiofx_compressor.lo] Error 1
make[3]: Leaving directory `/root/ecasound-2.0.1/libecasound'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/root/ecasound-2.0.1/libecasound'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/ecasound-2.0.1'
make: *** [all-recursive-am] Error 2

Expected Results:  code should have compiled

Additional info:

I have all the updates from up2date installed, and i still have the same
problem with gcc.  can't even compile a new version of gcc to get rid of
the problem

Comment 1 Jakub Jelinek 2001-08-27 11:02:17 UTC
The interesting question is: is it reproduceable? Always on the same file
same function when compiling with the same options?
If yes, please rerun the gcc or g++ command which reproduces it with additional
-save-temps option and attach here *.i resp. *.ii file it creates.
If not, it is most probably flakey hardware.


Note You need to log in before you can comment on or make changes to this bug.